#include "itrax.h"

static char* var_name (char* base_name, int idx)
{
	static char varname[256];
	char num[12];
	
	strcpy (varname, base_name);
	
	if (varname[strlen(varname)-1] != '.')
		strcat (varname, ".");
//	itoa (idx, num, 10);
	sprintf(num, "%u", idx);
	
	strcat (varname, num);
	return varname;
}

BOOL set_shvar (char *base_name, int idx, char *val)
{
#if 0
	SHVBLOCK shvb;
	char *varname, buf[256];

	if (!base_name || !strlen (base_name))
		return Fail;
	
	varname = var_name (base_name, idx);
	
	shvb.shvnext = NULL;
	
	shvb.shvname.strptr = varname;
	shvb.shvname.strlength = strlen(varname);
	shvb.shvnamelen = shvb.shvname.strlength;
	
	shvb.shvvalue.strptr = val;
	shvb.shvvalue.strlength = strlen(val);
	shvb.shvvaluelen = strlen(val);
	shvb.shvcode = RXSHV_SET;
	shvb.shvret = 0;
		
	if (RexxVariablePool(&shvb) == RXSHV_BADN) {
		sprintf(buf, "could register stem var: `%s'\n", varname);
		fprintf(stderr, "\7%s", buf);
		writeToLog(0, buf);
		return Fail;
	}
#endif	
	return Ok;
}

char* get_shvar (char* base_name, int idx)
{
#if 0
	SHVBLOCK shvb;
	char *varname;
	char buf[256];
	char* data = NULL;
	int len, rc;


	if (!base_name || !strlen (base_name)) {
		log (4, "get_shvar: illegal basename\n");
		return NULL;
	}

	varname = var_name (base_name, idx);
	
	shvb.shvvalue.strptr = NULL;
	shvb.shvnext = NULL;
	
	shvb.shvname.strptr = varname;
	shvb.shvname.strlength = strlen(varname);
	shvb.shvnamelen = shvb.shvname.strlength;
	
	shvb.shvcode = RXSHV_SYFET;
	
	rc = RexxVariablePool(&shvb);

	
	if (rc || shvb.shvret) {
		sprintf(buf, "get_stem_string error: RexxVariablePool returned %d\n", rc);
		writeToLog(3, buf);
		DosFreeMem(shvb.shvvalue.strptr);
		return NULL;
	}

	len = shvb.shvvaluelen;

	data = (char *) xmalloc (len+1);
	memcpy(data, shvb.shvvalue.strptr, len);
	data[len] = '\0';
	
	DosFreeMem(shvb.shvvalue.strptr); 
	shvb.shvvalue.strptr = NULL;
	
	return data;
#endif
    return NULL;
}
